From e485e7d18a06bdc65bd4a1ec69f6cb4368e1fb2e Mon Sep 17 00:00:00 2001
Message-Id: <e485e7d18a06bdc65bd4a1ec69f6cb4368e1fb2e.1728936613.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Mon, 14 Oct 2024 20:07:49 +0000
Subject: [PATCH] gnu: awscli: Fix broken build.

awscli requires PyYAML<=6,>=3.10.

Change-Id: I9b7a523b9f72bdc13f48bf699e7e01f0ebe7a575
---
 gnu/packages/python-web.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index f32f15b8b9..d892e03c9d 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -67,6 +67,7 @@
 ;;; Copyright © 2024 Markku Korkeala <markku.korkeala@iki.fi>
 ;;; Copyright © 2024 Nguyễn Gia Phong <mcsinyx@disroot.org>
 ;;; Copyright © 2024 Zheng Junjie <873216071@qq.com>
+;;; Copyright © 2024 Spencer King <spencer.king@geneoscopy.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4170,7 +4171,7 @@ (define-public awscli
            python-botocore
            python-s3transfer
            python-docutils-0.15
-           python-pyyaml
+           python-pyyaml-5
            python-rsa))
     (home-page "https://aws.amazon.com/cli/")
     (synopsis "Command line client for AWS")

base-commit: 6d0a86d22d75f8f4bb602a35218513ae0aef71f1
-- 
2.34.1

